{% extends 'base_admin.html.twig' %}
{% block title %}tableau de bord Admin Commande{% endblock %}
{% block body %}
    <section id="borrowing-index" class="container-fluid">
		<section class="container">
			<header class="row">
				<div class="col-12">	  
                    <h1 class="service">Gestion des commandes</h1>
                </div>
            </header>
            <div class="row">
                <div class="col-12"> 
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Reférence Commande</th>               
                                <th>Emprunteur</th>                
                                <th>Date Commande</th>
                                <th>Date Limite Retour</th>
                                <th>Reférence Expedition</th>
                                <th>Reférence Retour</th>              
                                <th>Statut</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for borrowing in borrowings %}
                            <tr>
                                <td>{{ borrowing.id }}</td>
                                <td>{{ borrowing.ref }}</td>                
                                <td>{{ borrowing.borrower }}</td>               
                                <td>{{ borrowing.startDate ? borrowing.startDate|date('Y-m-d H:i:s') : '' }}</td>
                                <td>{{ borrowing.endDate ? borrowing.endDate|date('Y-m-d H:i:s') : '' }}</td>
                                <td>{{ borrowing.refsent }}</td>
                                <td>{{ borrowing.refback }}</td>                
                                <td>{{ borrowing.borrowingstatus}}</td>
                                <td>
                                    <a href="{{ path('borrowing_show', {'id': borrowing.id}) }}">Voir</a>
                                    <a href="{{ path('borrowing_expedition', {'id': borrowing.id}) }}">Expédition</a>
                                    <a href="{{ path('borrowing_empty', {'id': borrowing.id, 'ref': borrowing.ref}) }}">Clôture</a>
                                    <a href="{{ path('borrowing_edit', {'id': borrowing.id}) }}">Mise à Jour</a>   
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="9">no records found</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
    </section>                
{% endblock %}
{% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
{% endblock %}  
